Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractValueMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode, ValueMetaData

Direct Known Subclasses:
  AbstractDependencyValueMetaData, AbstractTypeMetaData

public class AbstractValueMetaData
extends org.jboss.util.JBossObject
implements ValueMetaData

Plain value.

Version:
  $Revision: 1.10 $
Author:
  Adrian Brock

Field Summary
`protected Object` | `value` The value

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractValueMetaData()` Create a new plain value
`AbstractValueMetaData(Object value)` Create a new plain value

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`Object` | `getUnderlyingValue()` Get the underlying value
`Object` | `getValue()`
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.
`void` | `setValue(Object value)`
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### value

    protected Object value

  The value

Constructor Detail

### AbstractValueMetaData

    public AbstractValueMetaData()

  Create a new plain value

### AbstractValueMetaData

    public AbstractValueMetaData(Object value)

  Create a new plain value

Parameters:
  `value` - the value

Method Detail

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)

### getUnderlyingValue

    public Object getUnderlyingValue()

  Description copied from interface: `ValueMetaData`
  Get the underlying value

  Specified by:
    `getUnderlyingValue` in interface `ValueMetaData`
  Returns:
    the underlying value

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Description copied from interface: `ValueMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ValueMetaData`
  Parameters:
    `info` - the type info
    `cl` - the classloader
  Returns:
    the value.
  Throws:
    `Throwable` - for any error

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.